import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:lottie/lottie.dart';
import 'package:mohem_flutter_app/classes/colors.dart';
import 'package:mohem_flutter_app/classes/decorations_helper.dart';
import 'package:mohem_flutter_app/classes/lottie_consts.dart';
import 'package:mohem_flutter_app/extensions/int_extensions.dart';
import 'package:mohem_flutter_app/extensions/string_extensions.dart';
import 'package:mohem_flutter_app/extensions/widget_extensions.dart';
import 'package:mohem_flutter_app/generated/locale_keys.g.dart';
import 'package:mohem_flutter_app/widgets/app_bar_widget.dart';

class WinnerScreen extends StatelessWidget {
  const WinnerScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: MyColors.backgroundColor,
      appBar: AppBarWidget(context, title: LocaleKeys.brainMarathon.tr()),
      body: SingleChildScrollView(
        child: Column(
          children: <Widget>[
            60.height,
            Container(
              width: double.infinity,
              decoration: MyDecorations.shadowDecoration,
              padding: const EdgeInsets.symmetric(vertical: 20, horizontal: 20),
              child: Column(
                children: <Widget>[
                  SizedBox(
                    height: 200,
                    child: Stack(
                      children: <Widget>[
                        Lottie.asset(
                          MyLottieConsts.celebrate1Lottie,
                          height: 200,
                        ),
                        Lottie.asset(
                          MyLottieConsts.celebrate2Lottie,
                          height: 200,
                        ),
                      ],
                    ),
                  ),
                  26.height,
                  SizedBox(
                    height: 50,
                    child: Stack(
                      children: [
                        Align(
                          alignment: Alignment.center,
                          child: SvgPicture.asset(
                            "assets/images/winner_ribbon.svg",
                            height: 50,
                          ),
                        ),
                        Align(
                          alignment: Alignment.center,
                          child: "WINNER".toText32(color: MyColors.white, isBold: true).paddingOnly(top: 07),
                        )
                      ],
                    ),
                  ),
                  12.height,
                  "Muhammad Shrouff".toText22(color: MyColors.grey3AColor),
                  "837436".toText22(color: MyColors.grey57Color),
                  80.height,
                  Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: <Widget>[
                      LocaleKeys.sponsoredBy.tr().toText14(color: MyColors.grey77Color),
                      " Extra".toText14(color: MyColors.darkTextColor, isBold: true),
                    ],
                  ),
                  5.height,
                  Image.asset(
                    "assets/images/logos/main_mohemm_logo.png",
                    height: 40,
                    fit: BoxFit.fill,
                    width: 150,
                  )
                ],
              ),
            ).paddingOnly(left: 21, right: 21),
            10.height,
          ],
        ),
      ),
    );
  }
}
